curl --request POST \
--url https://sandbox.hurdlr.com/rest/v5/taxes/getEstimates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: */*' \
--data '
{
"period": "YTD",
"userTaxSetup": {
"taxCountryCode": "<string>",
"federalFilingStatus": "SINGLE",
"stateFilingStatus": "SINGLE",
"taxState": "DC",
"annualW2Income": 10000,
"tipIncome": 5000,
"overtimeIncome": 3000,
"useW2Withholding": true,
"federalW2Withholding": 1000.51,
"stateW2Withholding": 1000.51,
"numExemptions": 1,
"useHomeOfficeDeduction": true,
"homeOfficeArea": 250.5,
"vehicleBusinessPercent": 49.9,
"useMileageDeduction": false,
"useUserEstimatedBusinessMileage": true,
"userEstimatedBusinessMileage": 1000,
"useUserEstimatedBusinessExpenses": true,
"userEstimatedBusinessExpenses": 551.76,
"useUserEstimatedBusinessRevenue": true,
"userEstimatedBusinessRevenue": 551.76
}
}
'import requests
url = "https://sandbox.hurdlr.com/rest/v5/taxes/getEstimates"
payload = {
"period": "YTD",
"userTaxSetup": {
"taxCountryCode": "<string>",
"federalFilingStatus": "SINGLE",
"stateFilingStatus": "SINGLE",
"taxState": "DC",
"annualW2Income": 10000,
"tipIncome": 5000,
"overtimeIncome": 3000,
"useW2Withholding": True,
"federalW2Withholding": 1000.51,
"stateW2Withholding": 1000.51,
"numExemptions": 1,
"useHomeOfficeDeduction": True,
"homeOfficeArea": 250.5,
"vehicleBusinessPercent": 49.9,
"useMileageDeduction": False,
"useUserEstimatedBusinessMileage": True,
"userEstimatedBusinessMileage": 1000,
"useUserEstimatedBusinessExpenses": True,
"userEstimatedBusinessExpenses": 551.76,
"useUserEstimatedBusinessRevenue": True,
"userEstimatedBusinessRevenue": 551.76
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "*/*"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': '*/*'},
body: JSON.stringify({
period: 'YTD',
userTaxSetup: {
taxCountryCode: '<string>',
federalFilingStatus: 'SINGLE',
stateFilingStatus: 'SINGLE',
taxState: 'DC',
annualW2Income: 10000,
tipIncome: 5000,
overtimeIncome: 3000,
useW2Withholding: true,
federalW2Withholding: 1000.51,
stateW2Withholding: 1000.51,
numExemptions: 1,
useHomeOfficeDeduction: true,
homeOfficeArea: 250.5,
vehicleBusinessPercent: 49.9,
useMileageDeduction: false,
useUserEstimatedBusinessMileage: true,
userEstimatedBusinessMileage: 1000,
useUserEstimatedBusinessExpenses: true,
userEstimatedBusinessExpenses: 551.76,
useUserEstimatedBusinessRevenue: true,
userEstimatedBusinessRevenue: 551.76
}
})
};
fetch('https://sandbox.hurdlr.com/rest/v5/taxes/getEstimates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"country": "<string>",
"state": "<string>",
"year": 123,
"federalFilingStatus": "S",
"stateFilingStatus": "S",
"w2Income": 123,
"businessIncome": 123,
"expenses": 123,
"deductibleExpenses": 123,
"deductibleMileageExpenses": 123,
"deductibleNonMileageExpenses": 123,
"homeOfficeDeduction": 123,
"selfEmploymentDeduction": 123,
"adjustedGrossIncome": 123,
"overallTax": 123,
"overallTaxSavings": 123,
"overallTaxUnpaid": 123,
"federalTaxUnpaid": 123,
"stateTaxUnpaid": 123,
"annualPaymentDueDate": "2023-11-07T05:31:56Z",
"afterTaxIncome": 123,
"otherIncome": 123,
"federalTax": {
"w2MarginalTaxRate": 123,
"businessMarginalTaxRate": 123,
"adjustedGrossIncome": 123,
"businessIncomeDeduction": 123,
"businessIncomeDeductionEffectiveRate": 123,
"federalDeduction": 123,
"qualifiedTipDeduction": 123,
"qualifiedOvertimeDeduction": 123,
"taxableIncome": 123,
"federalEffectiveTaxRate": 123,
"federalTaxAmount": 123,
"medicareSurtax": {
"investmentIncomeMedicareSurtax": 123,
"earnedIncomeMedicareSurtax": 123
},
"selfEmploymentTax": {
"socialSecurityTaxableIncome": 123,
"socialSecurityEffectiveTaxRate": 123,
"socialSecurityTax": 123,
"medicareTaxableIncome": 123,
"medicareEffectiveTaxRate": 123,
"medicareTax": 123,
"taxAmount": 123
},
"tentativeMinimumTax": 123,
"alternativeMinimumTax": 123,
"taxAmountWithoutTaxCredit": 123,
"dependentTaxCredit": 123,
"totalTaxCredit": 123,
"totalTaxCreditAppliedToTax": 123,
"taxBeforeWithholding": 123,
"effectiveTaxRateBeforeWithholding": 123,
"withholdingAppliedToTax": 123,
"taxAmount": 123,
"effectiveTaxRate": 123,
"employmentTax": {
"socialSecurityTaxableIncome": 123,
"socialSecurityEffectiveTaxRate": 123,
"socialSecurityTax": 123,
"medicareTaxableIncome": 123,
"medicareEffectiveTaxRate": 123,
"medicareTax": 123,
"taxAmount": 123
}
},
"stateTax": {
"w2MarginalTaxRate": 123,
"businessMarginalTaxRate": 123,
"adjustedGrossIncome": 123,
"stateDeduction": 123,
"taxableIncome": 123,
"preCreditEffectiveTaxRate": 123,
"taxAmountWithoutTaxCredit": 123,
"totalTaxCredit": 123,
"totalTaxCreditAppliedToTax": 123,
"taxBeforeWithholding": 123,
"effectiveTaxRateBeforeWithholding": 123,
"withholdingAppliedToTax": 123,
"taxAmount": 123,
"effectiveTaxRate": 123
},
"quarterlyEstimates": {
"q1": {
"dueDate": "2023-12-25",
"federalTax": {
"taxOwed": 123,
"taxPaid": 123,
"paymentsAllocatedFromPast": 123,
"paymentsRolledOverToFuture": true,
"paymentsBalance": 123
},
"stateTax": {
"taxOwed": 123,
"taxPaid": 123,
"paymentsAllocatedFromPast": 123,
"paymentsRolledOverToFuture": true,
"paymentsBalance": 123
}
},
"q2": {
"dueDate": "2023-12-25",
"federalTax": {
"taxOwed": 123,
"taxPaid": 123,
"paymentsAllocatedFromPast": 123,
"paymentsRolledOverToFuture": true,
"paymentsBalance": 123
},
"stateTax": {
"taxOwed": 123,
"taxPaid": 123,
"paymentsAllocatedFromPast": 123,
"paymentsRolledOverToFuture": true,
"paymentsBalance": 123
}
},
"q3": {
"dueDate": "2023-12-25",
"federalTax": {
"taxOwed": 123,
"taxPaid": 123,
"paymentsAllocatedFromPast": 123,
"paymentsRolledOverToFuture": true,
"paymentsBalance": 123
},
"stateTax": {
"taxOwed": 123,
"taxPaid": 123,
"paymentsAllocatedFromPast": 123,
"paymentsRolledOverToFuture": true,
"paymentsBalance": 123
}
},
"q4": {
"dueDate": "2023-12-25",
"federalTax": {
"taxOwed": 123,
"taxPaid": 123,
"paymentsAllocatedFromPast": 123,
"paymentsRolledOverToFuture": true,
"paymentsBalance": 123
},
"stateTax": {
"taxOwed": 123,
"taxPaid": 123,
"paymentsAllocatedFromPast": 123,
"paymentsRolledOverToFuture": true,
"paymentsBalance": 123
}
}
}
}Get tax estimates
Get a summary of a user’s tax obligations; also useful for displaying a real-time P&L
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
The period to receive summarized data for
ANNUAL_PROJECTED, YTD, LAST_YEAR "YTD"
Override of the user's tax profile
Show child attributes
Show child attributes
Response
Successful operation
The ISO 3166-1 alpha-3 country code
The two-character state (or Province) abbreviation for which tax needs to be calculated on
Tax year for which tax needs to be calculated on
The tax filing status code at the federal level
S, M, MS, H, QW "S"
The tax filing status code at the state level
S, M, MS, H, QW "S"
The year-to-date W2 income total for which tax needs to be calculated on
The year-to-date business income for which tax needs to be calculated on
The year-to-date actual expense total (deductible and non-deductible) for P&L purposes
The year-to-date deductible expense total for which tax needs to be calculated on
The year-to-date deductible expense total originating from mileage
The year-to-date deductible expense total not originating from mileage
Home office deduction
Self employment deduction
Adjusted gross income
Overall tax amount
Overall amount saved by tracking expenses with Tight
Remaining tax amount to be paid
Remaining federal tax amount to be paid
Remaining state tax amount to be paid
Yearly due date for this year's tax season
Income remaining after tax collected
Total taxable income from sources other than wages, tips, and business
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes